{:tpl head}
<!--{:if $a == 'show'}-->
<table cellpadding="0" cellspacing="0" width="100%">
 <tr><td width="100%">{:Tag :: ad($name)}</td></tr>
</table>
</body>
</html>
<!--{:else}-->
<table cellpadding="0" cellspacing="1" class="table_list">
 <caption>广告管理</caption>
  <tr>
    <td><strong>管理选项：</strong><a href="?c=ad&a=add">发布广告</a> | <a href="?c=ad">管理广告</a></td>
  </tr>
</table>
<!--{:if $a == 'add' || $a == 'edit'}-->
<script type="text/javascript" src="../../statics/My97DatePicker/WdatePicker.js"></script>
<script type="text/javascript" src="../../statics/js/ajaxfileupload.js"></script>
<script language=javascript>
<!--
function doCheck(form){
   if(form.name.value == ""){
	  $.jxbox.tip("请填写广告英文名称");
      form.name.focus();
      return false;
   }
   switch(form.adtype.options[form.adtype.selectedIndex].value){
      case 'code':
           if(form.codecontent.value==''){
			  $.jxbox.tip("错误，请输入广告代码！");
              form.codecontent.focus();
              return false;
           }
           break;
      case 'txt':
           if(form.txtcontent.value==''){
			  $.jxbox.tip("错误，请输入文字内容！");
              form.txtcontent.focus();
              return false;
           }
           if(form.txturl.value==''){
              $.jxbox.tip("错误，请输入文字链接！");
              form.txturl.focus();
              return false;
           }
           break;
      case 'img':
           if(form.imgcontent.value==''){
              $.jxbox.tip("错误，图片地址不能为空！");
              form.imgcontent.focus();
              return false;
           }
           //允许的扩展名
           var sAllowExt = set.uploadimage;
           if(!IsExt(form.imgcontent.value,sAllowExt)){
				$.jxbox.tip("图片格式只能为"+sAllowExt);
                form.imgcontent.focus();
                return false;
           }
           break;
      case 'flash':
           if(form.flashcontent.value==''){
              $.jxbox.tip("错误，flash地址不能为空！");
              form.flashcontent.focus();
              return false;
           }
		   //允许的扩展名
           var sAllowExt = set.uploadflash;
           if(!IsExt(form.flashcontent.value,sAllowExt)){
              $.jxbox.tip("flash格式只能为"+sAllowExt);
              form.flashcontent.focus();
              return false;
           }
           break;
   }
   return true;
}
function checkisexist(id){
	$.get('?c=ad&a=check&name='+$('#name').val()+'&id='+id+'&rand='+Math.random()*5, function(data){
		if(data){
			$.jxbox.tip('错误，英文名称已经存在！',2 ,{ focus: 'name' });
		}
	});
}
$(function(){
	$('#imgcontent').jxupload('ad', 'image');
	$('#flashcontent').jxupload('ad', 'flash');
	$('#adtype').change(function(){
		$('#adtypecode').hide();
		$('#adtypehtml').hide();
		$('#adtypetxt').hide();
		$('#adtypeimg').hide();
		$('#adtypeflash').hide();
		$('#adtype'+$(this).val()).show();
	});
})
-->
</script>
<form name="myform" action="?c=ad&a={:$a}" method="post" onsubmit="return doCheck(this);">
<table cellpadding="0" cellspacing="1" class="table_form">
 <caption>{:if $a == 'add'}发布{:else}修改{:/if}广告</caption>
  <input name="info[id]" type="hidden" value="{:$data['id']}">
  <input name="forward" type="hidden" value="{:$referer}">
  <tr>
    <td width="20%" align="right"><span class="fred">*</span> 英文名称(<span class="fred">唯一</span>)：</td>
    <td>
	 <input name="info[name]" id="name" type="text" size="20" value="{:$data['name']}" onblur="checkisexist('{:$data[id]}')">
	 <br />模板中调用方式 {#:Tag::ad('英文名称')}
	 <br />外部调用方式 &lt;script type=&quot;text/javascript&quot; src=&quot;{:ROOT_URL}api/cps.php?name=英文名称&quot;&gt;&lt;/script&gt;
	</td>
  </tr>
  <tr>
    <td align="right">中文名称：</td>
    <td><input name="info[cnname]" type="text" size="30" value="{:$data['cnname']}"></td>
  </tr>
  <tr>
    <td align="right">终止时间：</td>
    <td><input name="info[endtime]" type="text" id="endtime" value="{:Tag::date($data['endtime'],2)}" onFocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm'})">{:if $a == 'edit'}&nbsp;<input type="checkbox" name="upaddtime" value="1" />更新发布时间{:/if}</td>
  </tr>
  <tr>
    <td align="right">广告类型： </td>
    <td>
     <select name="info[adtype]" id="adtype">
      <!--{:Tag::option('code_代码|html_html|txt_文字|img_图片|flash_flash', $data['adtype'])}-->
     </select>
    </td>
  </tr>
  <tbody id='adtypecode'{:Tag::isShow('code',$data['adtype'])}>
  <tr>
    <td align="right"><span class="fred">*</span> 代码： <br /><span class="fred">一般是广告交易平台生成的JS代码&nbsp;&nbsp;</span></td>
    <td>
      <textarea name="codecontent" rows="8" cols="50">{:Tag::isShow('code',$data['adtype'],$data['content'])}</textarea>
    </td>
  </tr>
  </tbody>
  <tbody id='adtypehtml'{:Tag::isShow('html',$data['adtype'])}>
  <tr>
    <td align="right"><span class="fred">*</span> html代码： <br><span class="fred">非JS代码，尽量采用此方式</span>&nbsp;&nbsp;</td>
    <td>
	  {:Tag::editor('htmlcontent', 'htmlcontent', $data['content'], 'ad', 300)}
    </td>
  </tr>
  </tbody>
  <tbody id='adtypetxt'{:Tag::isShow('txt',$data['adtype'])}>
  <tr>
    <td align="right"><span class="fred">*</span> 文字内容： </td>
    <td><input type="text" name="txtcontent" size="30" value="{:Tag::isShow('txt',$data['adtype'],$data['content'])}"></td>
  </tr>
  <tr>
    <td align="right"><span class="fred">*</span> 文字链接： </td>
    <td><input type="text" name="txturl" size="50" value="{:Tag::isShow('txt',$data['adtype'],$data['url'])}"></td>
  </tr>
  <tr>
    <td align="right">文字颜色： </td>
    <td>
    <select name="info[txtfontcolor]">
     <option value=''{:Tag::selected('',$data['txtfontcolor'])}>颜色</option>
	 {:Tag::option('#000000|#ffffff|#008000|#800000|#808000|#000080|#800080|#808080|#FFFF00|#00FF00|#00FFFF|#FF00FF|#FF0000|#0000FF|#008080', $data['txtfontcolor'], '<option style=\"background:$id\" value=\"$id\"$selected></option>')}
    </select>
    </td>
  </tr>
  <tr>
    <td align="right">文字大小： </td>
    <td><input type="text" value="{:Tag::isShow('txt',$data['adtype'],$data['txtfontsize'])}" name="info[txtfontsize]" size="10"></td>
  </tr>
  </tbody>
  <tbody id='adtypeimg'{:Tag::isShow('img',$data['adtype'])}>
  <tr>
    <td align="right"><span class="fred">*</span> 图片地址： </td>
    <td><input type="text" value="{:Tag::isShow('img',$data['adtype'],$data['content'])}" name="imgcontent" id="imgcontent" size="30"></td>
  </tr>
  <tr>
    <td align="right"><span class="fred">*</span> 图片链接： </td>
    <td><input type="text" value="{:Tag::isShow('img',$data['adtype'],$data['url'])}" name="imgurl" size="50"></td>
  </tr>
  <tr>
    <td align="right">图片描述：</td>
    <td><input type="text" value="{:Tag::isShow('img',$data['adtype'],$data['description'])}" name="info[description]" size="50"></td>
  </tr>
  <tr>
    <td align="right">图片宽度： </td>
    <td><input type="text" value="{:Tag::isShow('img',$data['adtype'],$data['width'])}" name="imgwidth" size="10"> 默认 468</td>
  </tr>
  <tr>
    <td align="right">图片高度： </td>
    <td><input type="text" value="{:Tag::isShow('img',$data['adtype'],$data['height'])}" name="imgheight" size="10"> 默认 60</td>
  </tr>
  </tbody>
  <tbody id='adtypeflash'{:Tag::isShow('flash',$data['adtype'])}>
  <tr>
    <td align="right"><span class="fred">*</span> flash地址： </td>
    <td><input type="text" value="{:Tag::isShow('flash',$data['adtype'],$data['content'])}" name="flashcontent" id="flashcontent" size="30"></td>
  </tr>
  <tr>
    <td align="right">flash宽度： </td>
    <td><input type="text" value="{:Tag::isShow('flash',$data['adtype'],$data['width'])}" name="flashwidth" size="10"> 默认 468</td>
  </tr>
  <tr>
    <td align="right">flash高度： </td>
    <td><input type="text" value="{:Tag::isShow('flash',$data['adtype'],$data['height'])}" name="flashheight" size="10"> 默认 60</td>
  </tr>
  </tbody>
  <tr>
    <td align="right">调用方式： </td>
    <td><input name="info[usetype]" type="radio" value="1"{:Tag::checked($data['usetype'], 1)}>JS <input name="info[usetype]" type="radio" value="0"{:Tag::checked($data['usetype'], 0)}>HTML</td>
  </tr>
  <tr>
    <td></td>
    <td><button type="submit" name="submit">发 布</button>&nbsp; <button type="reset" name="reset">清 除</button></td>
  </tr>
</table>
</form>
{:else}
<table cellpadding="0" cellspacing="1" class="table_list">
 <caption>管理广告</caption>
 <form method="post" action="">
 <input type="hidden" name="selids" value="">
  <tr align="center">
   <th width="6%">选中</th>
   <th width="25%"><a href="{:$orderurl}&field=cnname&order={:$order}">中文名称</a></th>
   <th width="20%"><a href="{:$orderurl}&field=name&order={:$order}">英文名称</a></th>
   <th width="10%"><a href="{:$orderurl}&field=adtype&order={:$order}">类型</a></th>
   <th width="12%"><a href="{:$orderurl}&field=addtime&order={:$order}">发布时间</a></th>
   <th width="15%"><a href="{:$orderurl}&field=endtime&order={:$order}">终止时间</a></th>
   <th width="12%">操作</th>
  </tr>
  {:loop $data $v}
  <tr align="center">
   <td><input type="checkbox" name="ids" value="{:$v['id']}"></td>
   <td align="left">{:$v['cnname']}</td>
   <td align="left"><a href="?c=ad&a=show&name={:$v[name]}" target="_blank">{:$v['name']}</a></td>
   <td>{:$v['adtype']}</td>
   <td>{:Tag::date($v['addtime'],1)}</td>
   <td>{:Tag::date($v['endtime'],2)}</td>
   <td><a href="?c=ad&a=edit&id={:$v['id']}">修改</a> | <a href="?c=ad&a=del&selids={:$v['id']}">删除</a></td>
  </tr>
  {:/loop}
  <tr align='center'>
   <td colspan="7">
   <button name="select1" onClick="selAll(this.form.ids)" type="button">全选</button>
   <button name="select2" onClick="noSelAll(this.form.ids)" type="button">反选</button>
   <button name="submitsc" type="button" onClick="subform(this.form,this.form.ids,'?c=ad&a=del','确认删除吗？此操作不可恢复。')">删除选定广告</button>
   </td>
  </tr>
 </form>
</table>
{:if $pages}<div class="pages">{:$pages}</div>{:/if}
{:/if}
{:tpl foot}
<!--{:/if}-->